Package org.eclipse.emf.compare.ide.ui.internal.configuration

## Class ForwardingCompareConfiguration.MirroredPropertyChangeListener

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.configuration.ForwardingCompareConfiguration.MirroredPropertyChangeListener

All Implemented Interfaces:
  `EventListener`, `org.eclipse.jface.util.IPropertyChangeListener`

Enclosing class:
  ForwardingCompareConfiguration

    public abstract static class ForwardingCompareConfiguration.MirroredPropertyChangeListener
    extends Object
    implements org.eclipse.jface.util.IPropertyChangeListener

A property change listener that listens specifically for the property indicating that compare configuration's {@link ForwardingCompareConfiguration#isMirrored()isMirrored} value has changed.

### Constructor Summary

Constructors
`MirroredPropertyChangeListener()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `mirroredPropertyChanged​(boolean mirrored)`
`void` `propertyChange​(org.eclipse.jface.util.PropertyChangeEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MirroredPropertyChangeListener

    public MirroredPropertyChangeListener()

### Method Detail

#### propertyChange

    public void propertyChange​(org.eclipse.jface.util.PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `org.eclipse.jface.util.IPropertyChangeListener`

#### mirroredPropertyChanged

    protected abstract void mirroredPropertyChanged​(boolean mirrored)